/**
* 文件：DemoForm.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.module.demo.web;

import com.mortals.xhx.module.demo.model.DemoEntity;
import com.mortals.xhx.module.demo.model.DemoQuery;
import com.mortals.framework.web.BaseCRUDFormLong;

/**
 * <p>Title: 演示模块</p>
 * <p>Description: DemoForm  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class DemoForm extends BaseCRUDFormLong<DemoEntity> {
	private DemoEntity demo = new DemoEntity();
	private DemoQuery query = new DemoQuery();
	public DemoForm(){
		
	}
	
    @Override
	public DemoEntity getEntity() {
		return demo;
	}
	public DemoEntity getDemo() {
		return demo;
	}

	public void setDemo(DemoEntity demo) {
		this.demo = demo;
	}
	
	@Override
	public DemoQuery getQuery() {
		return query;
	}

	public void setQuery(DemoQuery query) {
		this.query = query;
	}
}